> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_call on Polygon

> Call eth_call on Polygon via GoldRush JSON-RPC. Executes a read-only contract call without creating a transaction. Endpoint, parameters, return values, and code examples.

<Card title="0.01 credits per call" icon="coins" />

`eth_call` on **Polygon**: Executes a read-only contract call without creating a transaction.

## Endpoint

```
https://rpc.goldrushdata.com/v1/matic-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](/goldrush-json-rpc/authentication).

## Parameters

| Name         | Type              | Required | Description                                                                                                           | Example                                         |
| ------------ | ----------------- | -------- | --------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| `callObject` | `Object`          | yes      | `{from?, to, gas?, gasPrice?, value?, data?}`. `to` and `data` are typically the only required fields for read calls. | `{"to":"0xa0b86991...","data":"0x70a08231..."}` |
| `blockTag`   | `QUANTITY \| TAG` | yes      | Block number (hex) or block tag at which to evaluate the call.                                                        | `"latest"`                                      |

## Returns

`DATA`: Hex-encoded ABI return data.

```json theme={null}
"0x0000000000000000000000000000000000000000000000056bc75e2d63100000"
```

## Examples

<CodeGroup>
  ```bash curl theme={null}
  curl https://rpc.goldrushdata.com/v1/matic-mainnet \
    -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "eth_call",
      "params": [{"to":"0xa0b86991...","data":"0x70a08231..."}, "latest"]
    }'
  ```

  ```typescript ethers v6 theme={null}
  import { ethers } from "ethers";

  const url = "https://rpc.goldrushdata.com/v1/matic-mainnet";
  const fetchReq = new ethers.FetchRequest(url);
  fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

  const provider = new ethers.JsonRpcProvider(fetchReq);
  const result = await provider.send("eth_call", [{"to":"0xa0b86991...","data":"0x70a08231..."}, "latest"]);
  console.log(result);
  ```

  ```typescript viem theme={null}
  import { createPublicClient, http } from "viem";

  const client = createPublicClient({
    transport: http("https://rpc.goldrushdata.com/v1/matic-mainnet", {
      fetchOptions: {
        headers: {
          Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
        },
      },
    }),
  });

  const result = await client.request({
    method: "eth_call",
    params: [{"to":"0xa0b86991...","data":"0x70a08231..."}, "latest"],
  });
  console.log(result);
  ```

  ```javascript web3.js theme={null}
  import { Web3 } from "web3";

  const provider = new Web3.providers.HttpProvider(
    "https://rpc.goldrushdata.com/v1/matic-mainnet",
    {
      headers: [
        { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
      ],
    }
  );
  const web3 = new Web3(provider);

  const result = await web3.currentProvider.request({
    method: "eth_call",
    params: [{"to":"0xa0b86991...","data":"0x70a08231..."}, "latest"],
  });
  console.log(result);
  ```

  ```python web3.py theme={null}
  from os import environ
  from web3 import Web3

  w3 = Web3(Web3.HTTPProvider(
      "https://rpc.goldrushdata.com/v1/matic-mainnet",
      request_kwargs={
          "headers": {
              "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
          },
      },
  ))
  result = w3.manager.request_blocking("eth_call", [{"to":"0xa0b86991...","data":"0x70a08231..."}, "latest"])
  print(result)
  ```
</CodeGroup>

## Errors

| Code     | Message                                                           |
| -------- | ----------------------------------------------------------------- |
| `-32000` | Execution reverted (with `revert` reason in `data` if available). |

Plus standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Executing transactions methods on Polygon

* [`eth_estimateGas` on Polygon](/api-reference/json-rpc/polygon/eth-estimategas)
* [`eth_sendRawTransaction` on Polygon](/api-reference/json-rpc/polygon/eth-sendrawtransaction)

## Also available on

* [`eth_call` on Ethereum](/api-reference/json-rpc/ethereum/eth-call)
* [`eth_call` on BNB Smart Chain (BSC)](/api-reference/json-rpc/bsc/eth-call)
* [`eth_call` on Arbitrum](/api-reference/json-rpc/arbitrum/eth-call)
* [`eth_call` on Base](/api-reference/json-rpc/base/eth-call)
* [`eth_call` on HyperEVM](/api-reference/json-rpc/hyperevm/eth-call)
